---
title: SVGColorProfileElement
slug: Web/API/SVGColorProfileElement
tags:
  - API
  - Deprecated
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}{{deprecated_header}}</div>

<p>The <strong><code>SVGColorProfileElement</code></strong> interface corresponds to the {{SVGElement("color-profile")}} element.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("SVGColorProfileElement.local")}}</dt>
 <dd>A {{domxref("DOMString")}} corresponding to the {{SVGAttr("local")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGColorProfileElement.name")}}</dt>
 <dd>A {{domxref("DOMString")}} corresponding to the {{SVGAttr("name")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGColorProfileElement.renderingIntent")}}</dt>
 <dd>An unsigned short corresponding to the {{SVGAttr("rendering-intent")}} attribute of the given element. It takes one of the  <code>RENDERING_INTENT_*</code> constants defined on the {{domxref("SVGRenderingIntent")}} interface that corresponds to the value of the {{SVGAttr("rendering-intent")}} attribute.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface does not provide any specific methods, but implements those of its parent, {{domxref("SVGElement")}}, and implements methods of {{domxref("SVGURIReference")}} and {{domxref("SVGRenderingIntent")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td>Specification</td>
   <td>Status</td>
   <td>Comment</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "color.html#InterfaceSVGColorProfileElement", "SVGColorProfileElement")}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGColorProfileElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("color-profile")}}</li>
</ul>
